From: "Jorge Manuel B. S. Vicetto" <jmbsvicetto@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/jmbsvicetto:master commit in: www-apps/drupal/
Date: Thu, 22 Oct 2015 03:22:06 +0000 (UTC) [thread overview]
Message-ID: <1445484086.58e6799b38104ad65234778373b3302cb587de49.jmbsvicetto@gentoo> (raw)
commit: 58e6799b38104ad65234778373b3302cb587de49
Author: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 22 03:21:26 2015 +0000
Commit: Jorge Manuel B. S. Vicetto <jmbsvicetto <AT> gentoo <DOT> org>
CommitDate: Thu Oct 22 03:21:26 2015 +0000
URL: https://gitweb.gentoo.org/dev/jmbsvicetto.git/commit/?id=58e6799b
[www-apps/drupal] Add second rc release for the 8.0 series.
Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo.org>
www-apps/drupal/Manifest | 1 +
www-apps/drupal/drupal-8.0.0_rc2.ebuild | 87 +++++++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/www-apps/drupal/Manifest b/www-apps/drupal/Manifest
index 0d11330..2f16954 100644
--- a/www-apps/drupal/Manifest
+++ b/www-apps/drupal/Manifest
@@ -3,3 +3,4 @@ DIST drupal-7.41.tar.gz 3257325 SHA256 49ea620d191e81ffce0e7a96b5e7d12da672b3401
DIST drupal-8.0.0-beta11.tar.gz 10500627 SHA256 0c7a6b84dc6019bc5afcf3066aa9c2a8a5cd4147a03d48314728156cc434bda1 SHA512 bdcac51cb8379711245d7e15a3bc879634c6c88af6799525f7dda3cd5be799193a3e4151d902569f9f008d89f309f7bca2180ebca4cb1f21bce87ac744461748 WHIRLPOOL 44b1a8670c5dfbf9d5208e5c5dc75a3e4c4a674befa1bd64b10409989d72da01e8e0420d9dc1e7d39b633fa49b80166c0e812f2deeb13304f4850fc777e1b36b
DIST drupal-8.0.0-beta4.tar.gz 9555745 SHA256 e50aecb08f79c1a11f0a9858dc493d7cc3a0b6293ed74155c5d89fd7ad4441ac SHA512 0b021f4be93059e67b29e05ff61f33c9c18b4cb27d9b0bcac7525e5c7f02b3b0f187c08602a1961fdddc9fbea2e83e5be73190e13011bd0048461ba30338a04c WHIRLPOOL 33ceebf2a657c8de398de51f550b9ad3e3739560a86ecb8356e8deeedae80ab95c76770fb11280d4908ef55e6191e9a2bfae44c71ef85ea2423752c8466fa753
DIST drupal-8.0.0-rc1.tar.gz 11498104 SHA256 0afdf737fd884f32c17ae0fc5174f7989c5909746e6c9a701bd9bcb99a1caa58 SHA512 c33446e24c02f28f66fb4e1b77c8c41eb67b756ee3015d94e6b11571980a95ca774d0d5331201e3a42534c9d11049e6a323b31ea5bef46d74330c6e95ba58580 WHIRLPOOL a74f50268c0da0f61d1d96368a93bb15ebe37a3d03b16c04e86426cf5ce39f555ea7c2527dcc395b811d1365569de84b2f9db317f5a7174684e75b5b0db5488d
+DIST drupal-8.0.0-rc2.tar.gz 10728216 SHA256 511394604e0ee07a8428aa4c8291ecec783d2256ae88186620010dc22d643bea SHA512 7fb8b4e67c11c2fe3838aa871595c55f6c02a3850bd8808bedd963f4c057e4bb2d755f6a937c3c6da93f9fa92cb3eb35e4bf9033c80bb9aca29c4a9a737f63c3 WHIRLPOOL fd3127cf56cddafda0a20b77383c6c73dfe818f2bc436a01cd1eb52f0b9135b631b0915658693c042c407f0e900d4ee6ac642b87a3e88a0b87255b69afc02614
diff --git a/www-apps/drupal/drupal-8.0.0_rc2.ebuild b/www-apps/drupal/drupal-8.0.0_rc2.ebuild
new file mode 100644
index 0000000..ca6797a
--- /dev/null
+++ b/www-apps/drupal/drupal-8.0.0_rc2.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit webapp
+
+MY_PV=${PV:0:3}.0
+MY_P=${P/_/-}
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="PHP-based open-source platform and content management system"
+HOMEPAGE="http://drupal.org/"
+SRC_URI="http://drupal.org/files/projects/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+IUSE="+accelerator +mysql postgres sqlite +uploadprogress"
+
+RDEPEND="
+ dev-lang/php[gd,hash,pdo,postgres?,simplexml,xml]
+ virtual/httpd-php
+ accelerator? ( ||
+ (
+ dev-php/xcache
+ (
+ >=dev-lang/php-5.5[opcache]
+ dev-php/pecl-apcu
+ )
+ )
+ )
+ uploadprogress? ( dev-php/pecl-uploadprogress )
+ mysql? (
+ || (
+ dev-lang/php[mysql]
+ dev-lang/php[mysqli]
+ )
+ )
+ sqlite? ( dev-lang/php[sqlite] )
+"
+
+need_httpd_cgi
+
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+src_install() {
+ webapp_src_preinst
+
+ local docs="LICENSE.txt README.txt core/MAINTAINERS.txt core/INSTALL.txt core/CHANGELOG.txt \
+ core/INSTALL.mysql.txt core/INSTALL.pgsql.txt core/INSTALL.sqlite.txt core/UPGRADE.txt "
+
+ dodoc ${docs}
+ rm -f ${docs} core/INSTALL core/COPYRIGHT.txt core/LICENSE.txt || die
+
+ cp sites/default/{default.settings.php,settings.php} || die
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ dodir "${MY_HTDOCSDIR}"/files
+ webapp_serverowned "${MY_HTDOCSDIR}"/files
+ webapp_serverowned "${MY_HTDOCSDIR}"/sites/default
+ webapp_serverowned "${MY_HTDOCSDIR}"/sites/default/settings.php
+
+ webapp_configfile "${MY_HTDOCSDIR}"/sites/default/settings.php
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ echo
+ ewarn "SECURITY NOTICE"
+ ewarn "If you plan on using SSL on your Drupal site, please consult the postinstall information:"
+ ewarn "\t# webapp-config --show-postinst ${PN} ${PV}"
+ echo
+ ewarn "If this is a new install, unless you want anyone with network access to your server to be"
+ ewarn "able to run the setup, you'll have to configure your web server to limit access to it."
+ echo
+ ewarn "If you're doing a new drupal-8 install, you'll have to copy /sites/default/default.services.yml"
+ ewarn "to /sites/default/services.yml and grant it write permissions to your web server."
+ ewarn "Just follow the instructions of the drupal setup and be sure to resolve any permissions issue"
+ ewarn "reported by the setup."
+ echo
+}
next reply other threads:[~2015-10-22 3:22 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-22 3:22 Jorge Manuel B. S. Vicetto [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-10-09 16:38 [gentoo-commits] dev/jmbsvicetto:master commit in: www-apps/drupal/ Jorge Manuel B. S. Vicetto
2016-09-25 3:29 Jorge Manuel B. S. Vicetto
2016-09-25 3:23 Jorge Manuel B. S. Vicetto
2016-09-25 3:23 Jorge Manuel B. S. Vicetto
2016-07-19 12:18 Jorge Manuel B. S. Vicetto
2016-07-19 11:40 Jorge Manuel B. S. Vicetto
2016-07-08 19:15 Jorge Manuel B. S. Vicetto
2016-06-16 9:45 Jorge Manuel B. S. Vicetto
2016-06-15 22:31 Jorge Manuel B. S. Vicetto
2016-06-05 20:32 Jorge Manuel B. S. Vicetto
2016-05-22 22:30 Jorge Manuel B. S. Vicetto
2016-04-13 18:55 Jorge Manuel B. S. Vicetto
2016-04-13 18:52 Jorge Manuel B. S. Vicetto
2016-03-11 4:48 Jorge Manuel B. S. Vicetto
2016-02-25 3:01 Jorge Manuel B. S. Vicetto
2016-02-08 18:08 Jorge Manuel B. S. Vicetto
2016-01-16 16:29 Jorge Manuel B. S. Vicetto
2015-12-04 1:58 Jorge Manuel B. S. Vicetto
2015-11-21 23:24 Jorge Manuel B. S. Vicetto
2015-11-17 9:58 Jorge Manuel B. S. Vicetto
2015-11-17 9:58 Jorge Manuel B. S. Vicetto
2015-10-22 0:21 Jorge Manuel B. S. Vicetto
2015-10-15 11:48 Jorge Manuel B. S. Vicetto
2015-10-09 5:03 Jorge Manuel B. S. Vicetto
2015-09-24 14:41 Jorge Manuel B. S. Vicetto
2015-06-18 13:14 Jorge Manuel B. S. Vicetto
2015-06-02 20:02 Jorge Manuel B. S. Vicetto
2015-05-08 18:41 Jorge Manuel B. S. Vicetto
2015-04-03 2:34 Jorge Manuel B. S. Vicetto
2015-03-21 23:24 Jorge Manuel B. S. Vicetto
2015-03-19 20:50 Jorge Manuel B. S. Vicetto
2015-03-19 20:47 Jorge Manuel B. S. Vicetto
2015-03-01 16:45 Jorge Manuel B. S. Vicetto
2015-01-07 16:17 Jorge Manuel B. S. Vicetto
2015-01-05 18:25 Jorge Manuel B. S. Vicetto
2014-12-07 21:06 Jorge Manuel B. S. Vicetto
2014-11-20 11:40 Jorge Manuel B. S. Vicetto
2014-11-20 11:00 Jorge Manuel B. S. Vicetto
2014-10-17 12:32 Jorge Manuel B. S. Vicetto
2014-08-21 16:39 Jorge Manuel B. S. Vicetto
2014-08-14 12:52 ` Jorge Manuel B. S. Vicetto
2014-08-14 12:52 Jorge Manuel B. S. Vicetto
2014-08-21 16:39 ` Jorge Manuel B. S. Vicetto
2014-07-21 9:01 Jorge Manuel B. S. Vicetto
2014-07-21 9:01 Jorge Manuel B. S. Vicetto
2013-11-29 18:13 Jorge Manuel B. S. Vicetto
2013-09-13 1:07 Jorge Manuel B. S. Vicetto
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445484086.58e6799b38104ad65234778373b3302cb587de49.jmbsvicetto@gentoo \
--to=jmbsvicetto@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox